Bug 457123 - Review Request: pyevent - Python bindings for libevent
Review Request: pyevent - Python bindings for libevent
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 258001 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 15:01 EDT by Robin Norwood
Modified: 2008-08-05 10:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-05 10:49:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Norwood 2008-07-29 15:01:40 EDT
Spec URL: http://people.redhat.com/rnorwood/rpms/pyevent.spec
SRPM URL: http://people.redhat.com/rnorwood/rpms/pyevent-0.3-3.fc9.src.rpm
Description: Pyevent is the python bindings for libevent which is a generic event system
Comment 1 Parag AN(पराग) 2008-08-04 01:46:09 EDT
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=756467
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
584912c92d08bf005283fb29a47a6e4d  pyevent-0.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Package pyevent-0.3-3.fc10 =>
  Provides: event.so
  Requires: libc.so.6 libc.so.6(GLIBC_2.1.3) libevent-1.4.so.2 libpthread.so.0 libpython2.5.so.1.0 python(abi) = 2.5 rtld(GNU_HASH)

APPROVED.
Comment 2 Mamoru TASAKA 2008-08-04 02:45:13 EDT
*** Bug 258001 has been marked as a duplicate of this bug. ***
Comment 3 Robin Norwood 2008-08-04 09:50:57 EDT
Thank you for the review.

New Package CVS Request
=======================
Package Name: pyevent
Short Description: Python bindings for libevent
Owners: rnorwood@redhat.com
Branches: F-9
InitialCC: 
Cvsextras Commits: Yes
Comment 4 Kevin Fenzi 2008-08-04 14:33:33 EDT
cvs done.
Comment 5 Robin Norwood 2008-08-05 10:49:25 EDT
Packages built for F-9 and rawhide:

http://koji.fedoraproject.org/koji/packageinfo?packageID=6565

Note You need to log in before you can comment on or make changes to this bug.